--------------------------------------------------------------------------------
-- Copyright (c) 2001 by Trenz Electronic.
-- Duenner Kirchweg 77, 32257 Buende, Germany, www.trenz-electronic.de
--------------------------------------------------------------------------------
-- Project:     TE-XC2S Application Note: System-on-Chip with USB
-- File:        xc2sFunc.vhd
-- Description: Functional Block.
-- History:     2001oct09, FB, Created.
--------------------------------------------------------------------------------

library IEEE;
use IEEE.std_logic_1164.all;

entity xc2sFunc is
	port(
		clk48 : in STD_LOGIC;
		rst : in STD_LOGIC;
		dout : in STD_LOGIC_VECTOR (15 downto 0);
		din : out STD_LOGIC_VECTOR (15 downto 0);
		disp : out STD_LOGIC_VECTOR (15 downto 0)
		);
end xc2sFunc;

architecture BHV of xc2sFunc is
	
	---- Signal declarations used on the diagram ----
	
	signal D : STD_LOGIC_VECTOR (15 downto 0);
	
begin
	
	---- Terminal assignment ----
	
	-- Inputs terminals
	d <= dout;
	
	-- Output\buffer terminals
	din <= d;
	disp <= d;
	
	
end BHV;

--------------------------------------------------------------------------------
-- end of file
